<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Elementos relacionados</title>
</head>
<body>
    <div id="app">
        <div class="header">
            <h1>Titular</h1>
        </div>
        <p>Parrafo de descripcion</p>
        <a href="/">Enlace</a>
    </div>
    <script>
        console.log(document.body.children.length);
        console.log(document.body.children);
        console.log(document.body.parentElement);

        var app = document.querySelector('#app');

        console.log(app.children);
        console.log(app.firstElementChild);
        console.log(app.lastElementChild);

        var a = app.querySelector('a');

        console.log(a.previousElementSibling);
        console.log(a.nextElementSibling);
    </script>
</body>
</html>